[CmdletBinding(SupportsShouldProcess)]param(
    [Parameter(Position = 0, ValueFromRemainingArguments)]
    [ArgumentCompleter({ param (
            $commandName,
            $parameterName,
            $wordToComplete,
            $commandAst,
            $fakeBoundParameters
            )
        [MyConfig]::_GetValidValues($wordToComplete,$true) | Sort-Object
        })]
    [string[]]$ConfigName,
    [switch]$Force,
    [switch]$sudo
)
if( -not $ConfigName ) {
    ([MyConfig]::_GetValidValues('',$true)) | Sort-Object
    return
}
$local:ScriptPaths = [MyConfig]::GetConfigPaths($ConfigName,$Force)

Edit-TextFile -sudo:$sudo $ScriptPaths

$null = [MyConfig]::_GetValidValues('', $true)
